libzypp 17.37.10

curlhelper.cc File Reference
`#include "private/curlhelper_p.h"`
`#include <zypp-core/Globals.h>`
`#include <zypp-core/fs/PathInfo.h>`
`#include <zypp-core/Pathname.h>`
`#include <zypp-core/base/LogTools.h>`
`#include <zypp-core/base/String.h>`
`#include <zypp-core/base/StringV.h>`
`#include <zypp-curl/ProxyInfo>`
`#include <zypp-curl/auth/CurlAuthData>`
`#include <zypp-media/MediaException>`
`#include <string>`
`#include <glib.h>`

Go to the source code of this file.

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::env
| Namespace intended to collect all environment variables we use.
namespace | internal

## Macros
#define | TRANSFER_TIMEOUT_MAX 60 * 60

## Functions
const long & | zypp::env::ZYPP_MEDIA_CURL_DEBUG ()
| `const` long& for setting CURLOPT_DEBUGDATA Returns a reference to a static variable, so it's safe to pass it's address to CURLOPT_DEBUGDATA.
int | zypp::env::ZYPP_MEDIA_CURL_IPRESOLVE ()
| 4/6 to force IPv4/v6
void | internal::globalInitCurlOnce ()
uint | internal::curlVersion ()
int | internal::log_curl (CURL *curl, curl_infotype info, char *ptr, size_t len, void *max_lvl)
void | internal::setupZYPP_MEDIA_CURL_DEBUG (CURL *curl)
| Setup CURLOPT_VERBOSE and CURLOPT_DEBUGFUNCTION according to env::ZYPP_MEDIA_CURL_DEBUG.
size_t | internal::log_redirects_curl (char *ptr, size_t size, size_t nmemb, void *userdata)
void | internal::prepareSettingsAndUrl (zypp::Url &url_r, zypp::media::TransferSettings &s)
void | internal::fillSettingsFromUrl (const Url &url, media::TransferSettings &s)
| Fills the settings structure using options passed on the url for example ?timeout=x&proxy=foo.
void | internal::fillSettingsSystemProxy (const Url &url, media::TransferSettings &s)
| Reads the system proxy configuration and fills the settings structure proxy information.
void | internal::curlEscape (std::string &str_r, const char char_r, const std::string &escaped_r)
std::string | internal::curlEscapedPath (std::string path_r)
std::string | internal::curlUnEscape (const std::string &text_r)
Url | internal::clearQueryString (const Url &url)
zypp::Url | internal::propagateQueryParams (zypp::Url url_r, const zypp::Url &template_r)
CURLcode | internal::setCurlRedirProtocols (CURL *curl)

## Macro Definition Documentation

## ◆ TRANSFER_TIMEOUT_MAX

#define TRANSFER_TIMEOUT_MAX 60 * 60

Definition at line 27 of file curlhelper.cc.